#define _CRT_SECURE_NO_WARNINGS
#include <cstdio>
#include <algorithm>
using namespace std;

static const int MAXN = 100012;
static const int MAXT = 262144;

int N;
int A[ MAXN * 2 ];

bool Read()
{
	int i;
	if( scanf( "%d", &N ) != 1 )
		return false;
	for( i = 0; i < 2 * N; ++i )
	{
		scanf( "%d", &A[ i ] );
		--A[ i ];
	}
	return true;
}

int First[ MAXN ];
int Second[ MAXN ];

bool Compare( int i, int j )
{
	return Second[ i ] - First[ i ] > Second[ j ] - First[ j ];
}

int T;
int Tree[ MAXT * 2 ];

int Count( int x )
{
	int result = 0;
	x += T;
	while( x != 1 )
	{
		if( x & 1 )
			result += Tree[ x ^ 1 ];
		x >>= 1;
	}
	return result;
}

void Delete( int x )
{
	x += T;
	Tree[ x ] = 0;
	while( x != 1 )
	{
		Tree[ x >> 1 ] = Tree[ x ] + Tree[ x ^ 1 ];
		x >>= 1;
	}
}

int Index[ MAXN ];

int Result;

void Work()
{
	int i;

	T = 1;
	for( i = 2 * N; i != 0; i >>= 1 )
	{
		T <<= 1;
	}

	for( i = 0; i < N * 2; ++i )
	{
		Tree[ i + T ] = 1;
	}
	for( i = T - 1; i > 0; --i )
	{
		Tree[ i ] = Tree[ i << 1 ] + Tree[ i << 1 ^ 1 ];
	}

	fill( First, First + N, -1 );
	fill( Second, Second + N, -1 );

	for( i = 0; i < 2 * N; ++i )
	{
		if( First[ A[ i ] ] == -1 )
			First[ A[ i ] ] = i;
		else
			Second[ A[ i ] ] = i;
	}

	for( i = 0; i < N; ++i )
	{
		Index[ i ] = i;
	}

	sort( Index, Index + N, Compare );

	Result = 0;
	for( i = 0; i < N; ++i )
	{
		Result += Count( Second[ Index[ i ] ] ) - Count( First[ Index[ i ] ] );
		Delete( Second[ Index[ i ] ] );
		Delete( First[ Index[ i ] ] );
	}
}

void Write()
{
	printf( "%d\n", Result );
}

int main()
{
	while( Read() )
	{
		Work();
		Write();
	}
	return 0;
}
